Bug 798949 - RFE: Allow to give VM comment and show it in manager list, possibly libvirt's <title> attribute
RFE: Allow to give VM comment and show it in manager list, possibly libvirt's...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Giuseppe Scrivano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 06:00 EST by Tim Niemueller
Modified: 2013-09-25 13:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 13:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2012-03-01 06:00:43 EST
In the virt-manager GUI's main view there is a sorted list of VMs. Each has its VM name written in bold. Typically the VM name is the short hostname. What would be really helpful would be support for a comment field which allows to give a little info about the host.

Example:
  *hostname* (mail server)
  Status

  *hostname2* (web server, SELinux exceptions)
  Status

So a free text comment line would be presented in normal font weight after the bold hostname. I could even imaging swapping the status and the comment.
Comment 1 Cole Robinson 2012-03-02 11:13:25 EST
Libvirt has a new 'title' attribute that might help here:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=b79ba8382e2205c416d7c4836ac9ee08c72e2c56
Comment 2 Giuseppe Scrivano 2013-09-11 04:27:33 EDT
patch proposed upstream:

https://www.redhat.com/archives/virt-tools-list/2013-September/msg00047.html

Note You need to log in before you can comment on or make changes to this bug.